# Created by pyp2rpm-3.3.1
%global pypi_name pymediainfo

Name:           python-%{pypi_name}
Version:        6.1.0
Release:        %mkrel 2
Summary:        A Python wrapper for the mediainfo library
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pymediainfo
Source0:        %{pypi_source}
BuildArch:      noarch

# Required for tests
BuildRequires:  mediainfo
BuildRequires:  pkgconfig(libmediainfo)
BuildRequires:  locales-en
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-runner)
BuildRequires:  python3dist(sphinx)


%description
This small package is a wrapper around the MediaInfo library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
This small package is a wrapper around the MediaInfo library.

%package -n python-%{pypi_name}-doc
Summary:        pymediainfo documentation

%description -n python-%{pypi_name}-doc
Documentation for pymediainfo

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files pymediainfo

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst

%files -n python-%{pypi_name}-doc
%doc html


%changelog
* Sat Mar 01 2025 wally <wally> 6.1.0-2.mga10
+ Revision: 2155628
- rebuild for python3.13

* Mon Dec 18 2023 papoteur <papoteur> 6.1.0-1.mga10
+ Revision: 2018792
- new 6.1.0
- adapt to pyproject

* Tue Apr 05 2022 umeabot <umeabot> 5.1.0-2.mga9
+ Revision: 1844148
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 5.1.0-1.mga9
+ Revision: 1775537
- version 5.1.0
- rebuild for python-3.10

* Mon Apr 19 2021 daviddavid <daviddavid> 5.0.3-2.mga9
+ Revision: 1716955
- rebuild for python 3.9

* Sat Nov 28 2020 guillomovitch <guillomovitch> 5.0.3-1.mga8
+ Revision: 1649995
- new version 5.0.3

* Fri Jun 12 2020 kekepower <kekepower> 4.2.1-1.mga8
+ Revision: 1592972
- Update to version 4.2.1

* Thu Apr 09 2020 kekepower <kekepower> 4.1-1.mga8
+ Revision: 1565698
- Update to version 4.1

* Sun Feb 16 2020 umeabot <umeabot> 4.0-4.mga8
+ Revision: 1532726
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 4.0-3.mga8
+ Revision: 1442915
- rebuild for python-3.8

* Fri Aug 30 2019 wally <wally> 4.0-2.mga8
+ Revision: 1435709
- drop python2 support

* Fri Apr 12 2019 kekepower <kekepower> 4.0-1.mga7
+ Revision: 1389499
- Update to version 4.0

* Sun Apr 07 2019 kekepower <kekepower> 3.1-1.mga7
+ Revision: 1386567
- Update to version 3.1

* Mon Jan 07 2019 kekepower <kekepower> 3.0-1.mga7
+ Revision: 1351287
- BR python(2,3)dist(setuptools-scm)
- Update to version 3.0

* Thu Sep 20 2018 umeabot <umeabot> 2.2.1-2.mga7
+ Revision: 1289786
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 kekepower <kekepower> 2.2.1-1.mga7
+ Revision: 1221200
- imported package python-pymediainfo

